Summary:	Sun Open Look bitmap fonts
Summary(pl.UTF-8):	Fonty bitmapowe Sun Open Look
Name:		xorg-font-font-sun-misc
Version:	1.0.4
Release:	1
License:	MIT
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-sun-misc-%{version}.tar.xz
# Source0-md5:	65cbcb979332c00e22a68c4cccfd20d7
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.4
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sun Open Look Cursor and Open Look Glyph bitmap fonts.

%description -l pl.UTF-8
Fonty bitmapowe Sun Open Look Cursor i Open Look Glyph.

%prep
%setup -q -n font-sun-misc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/misc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/misc/olcursor.pcf.gz
%{_fontsdir}/misc/olgl*.pcf.gz
%changelog
* Fri Mar 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-sun-misc.git;a=log;h=master

* Thu Mar 02 2023 Jakub Bogusz <qboosh@pld-linux.org> d28594e
- updated to 1.0.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> d3b9697
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 61eda85
- dropped pre-cvs changelog

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> b58c669
- updated to 1.0.3

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> d40fe77
- updated to 1.0.2

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> 55f726f
- --build/--host compatible with rpm both 4.4/4.5
- util-macros and font-util versions
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ff54883
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> fd077ea
- BA: noarch
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 8699a9e
- informative descs
- R: font-alias as it contains some useful entries for -sun-open look* fonts
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dcb88d7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e12e37e
- converted to UTF-8

* Wed Jan 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 76302ea
- 1.0.0 (X11R7.0 release)

* Tue Dec 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 1423cf2
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 04ce4ce
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> ff5cb49
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> fd27533
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 92c99fa
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

